Subject: Re: Example miboot on new world rom problem

From: Ethan Benson <[email-masked]>
Date: Thu, 9 Nov 2000 07:38:14 -0900

On Thu, Nov 09, 2000 at 08:57:21AM -0600, [email-masked] wrote:
> 
> Some new ibook I think. I get the same behavior on the iMac DV. Startup
> disk doesn't change the boot-device value on there. Instead, it loads the

thats insane, probably a bug in apple's startup disk control panel...

> first TBXI file from the first HFS partition it finds. Then the MacOS ROM
> finds out that "LinuxPPC Boot" is the name of the partition to boot and
> then continues...
> 
> Thus miboot is loaded on a new world rom machine.
> 
> This is the reason I think either:
> 
> 1) yaboot needs the code from pmac_support.c (aka SetPRAMBoot )
> 
> 2) We'll have to write a new startup disk control panel( like system disk)

or 3)  setup the correct type of bootstrap for the current type of
machine.  then you don't have any of this nonsense.  

-- 
Ethan Benson
http://www.alaska.net/~erbenson/